# Interface JMEUtil.RunAsyncCallback

All Known Implementing Classes:
  `JMEUtil.JSME_RunAsyncCallback`

Enclosing class:
  `JMEUtil`

public static interface JMEUtil.RunAsyncCallback
A callback meant to be used by

## Method Summary

Modifier and Type
Method
Description
`void`
`onFailure(Throwable reason)`
Called when, for some reason, the necessary code cannot be loaded.
`void`
`onSuccess()`
Called once the necessary code for it has been loaded.

## Method Details

### onFailure

void onFailure(Throwable reason)
Called when, for some reason, the necessary code cannot be loaded. For example, the web browser might no longer have network access.

### onSuccess

void onSuccess()
Called once the necessary code for it has been loaded.